This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 987889 - when selecting a bookmark, the only main tabs that should appear are the ones displayed when "System" is selected in the system tree (i.e. without Quota, Providers, Dashboard)
when selecting a bookmark, the only main tabs that should appear are the ones...
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.1
Assigned To: Greg Sheremeta
ux
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 07:29 EDT by Assaf Muller
Modified: 2013-11-25 06:52 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-25 06:52:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen-shot: Bookmark vs. System (80.93 KB, image/png)
2013-08-06 16:49 EDT, Einav Cohen
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17988 None None None Never

  None (edit)
Description Assaf Muller 2013-07-24 07:29:44 EDT
Description of problem:
Clicking on a bookmark and then dashboard brings up a missing page error.

Version-Release number of selected component (if applicable):
oVirt Engine Version: 3.3.0-0.3.beta1.fc19

How reproducible:
100%

Steps to Reproduce:
1. Create a new bookmark or select an existing one
2. Click the bookmark
3. Click dashboard

Actual results:
The following page is displayed:
"Not Found

The requested URL /flow.html was not found on this server."

Expected results:
Either a controlled error message, or the dashboard.
Comment 1 Einav Cohen 2013-08-06 16:49:20 EDT
Created attachment 783499 [details]
screen-shot: Bookmark vs. System
Comment 2 Einav Cohen 2013-08-06 16:53:17 EDT
the dashboard main tab shouldn't appear at all if the reports portal is not installed. 

in general - the main tabs that should appear when a bookmark is selected should 
be the exact same main tabs that are displayed when the "System" node in the system tree is selected. 

see attached screen-shot: at the top, you can see the main tabs that appear when a bookmark is selected; some of them shouldn't appear; the tabs that should appear when a bookmark is selected are the exact same tabs that appear when System is selected in the System tree (see bottom of screen-shot).
Comment 3 Greg Sheremeta 2013-08-12 17:04:09 EDT
oVirt gerrit patch 17988 changes the tabs available on bookmark selection to be the exact same set as if the System node were selected.
Comment 4 Itamar Heim 2013-08-21 12:43:04 EDT
as RC is built, moving to ON_QA (hopefully did not catch incorrect bugs when doing this)
Comment 5 Einav Cohen 2013-08-27 17:16:53 EDT
back to MODIFIED, to avoid ovirt-engine-3.3 confusion (fix was merged to master post fork to ovirt-engine-3.3, however patch was never backported to ovirt-engine-3.3) - fix will be available in the next ovirt-engine release; until then - keeping this BZ in MODIFIED.
Comment 6 Sandro Bonazzola 2013-11-25 06:52:28 EST
oVirt 3.3.1 has been released

Note You need to log in before you can comment on or make changes to this bug.